Subject: Re: bug#43252: 27.1; DBus properties lack type hints or overrides

From: Michael Albinus <[email-masked]>
Date: Fri, 11 Sep 2020 10:46:11 +0200

Hugh Daschbach <[email-masked]> writes:

Hi Hugh,

>> I had to modify your test a little bit, see appended. It passes now
>> for me. I have renamed it also to
>> dbus-test05-register-property-types, so we have all property tests
>> under test05, which makes it more easy to select these tests in
>> batch.
>
> Good.  I've not yet developed a good TDD perspective.  So I'm likely
> to trip over naming and test structure conventions.  I'll learn as we
> go.  Thanks for the feedback.

These conventions are rather mine, since I've written dbus-tests.el :-)

General conventions are not so many, see test/README.

> Many thanks.
> Hugh

Best regards, Michael.